org.eclipse.eef.ide.ui.internal.widgets.quickfix

## Class EEFQuickFixWizard

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.eclipse.eef.ide.ui.internal.widgets.quickfix.EEFQuickFixWizard

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider, org.eclipse.jface.wizard.IWizard

    public class EEFQuickFixWizard
    extends org.eclipse.jface.wizard.Wizard

The wizard used to display and launch the quick fixes.

### Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

### Constructor Summary

Constructors
Constructor and Description
`EEFQuickFixWizard(org.eclipse.ui.forms.IMessage[] messages)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPages()`
`boolean` `canFinish()`
`org.eclipse.jface.wizard.IWizardPage` `getNextPage(org.eclipse.jface.wizard.IWizardPage page)`
`org.eclipse.jface.wizard.IWizardPage` `getPreviousPage(org.eclipse.jface.wizard.IWizardPage page)`
`boolean` `needsPreviousAndNextButtons()`
`boolean` `performFinish()`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFQuickFixWizard

    public EEFQuickFixWizard(org.eclipse.ui.forms.IMessage[] messages)

The constructor.

Parameters:
  `messages` - The messages displayed to the end user

### Method Detail

#### addPages

    public void addPages()

Specified by:
  `addPages` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `addPages` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  `Wizard.addPages()`

#### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage(org.eclipse.jface.wizard.IWizardPage page)

Specified by:
  `getNextPage` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `getNextPage` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  `Wizard.getNextPage(org.eclipse.jface.wizard.IWizardPage)`

#### getPreviousPage

    public org.eclipse.jface.wizard.IWizardPage getPreviousPage(org.eclipse.jface.wizard.IWizardPage page)

Specified by:
  `getPreviousPage` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `getPreviousPage` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  `Wizard.getPreviousPage(org.eclipse.jface.wizard.IWizardPage)`

#### needsPreviousAndNextButtons

    public boolean needsPreviousAndNextButtons()

Specified by:
  `needsPreviousAndNextButtons` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `needsPreviousAndNextButtons` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  `Wizard.needsPreviousAndNextButtons()`

#### canFinish

    public boolean canFinish()

Specified by:
  `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `canFinish` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  `Wizard.canFinish()`

#### performFinish

    public boolean performFinish()

Specified by:
  `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
Specified by:
  `performFinish` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  `Wizard.performFinish()`